# Generated by Django 2.1.3 on 2018-12-08 22:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0027_auto_20181208_2134'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnualPlan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.CharField(max_length=4, unique=True)),
                ('planned_budget_allocation', models.DecimalField(decimal_places=2, max_digits=21)),
                ('budget_allocation', models.DecimalField(blank=True, decimal_places=2, max_digits=21)),
                ('budget_left', models.DecimalField(blank=True, decimal_places=2, max_digits=21)),
                ('last_calculated', models.DateTimeField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='BudgetReceiver',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fixed', models.BooleanField()),
                ('student_count', models.IntegerField(blank=True)),
                ('planned_budget', models.DecimalField(blank=True, decimal_places=2, max_digits=21)),
                ('budget', models.DecimalField(blank=True, decimal_places=2, max_digits=21)),
                ('receiver', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Requester')),
            ],
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='amounts',
            field=models.ManyToManyField(blank=True, to='core.Amount'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='amounts',
            field=models.ManyToManyField(blank=True, to='core.Amount'),
        ),
        migrations.AddField(
            model_name='anualplan',
            name='budget_receivers',
            field=models.ManyToManyField(blank=True, to='core.BudgetReceiver'),
        ),
    ]
